# OSGeo::FDO::Commands::Schema::IApplySchemaImp Class Reference
[OSGeo::FDO::Commands::Schema]

Inheritance diagram for OSGeo::FDO::Commands::Schema::IApplySchemaImp:

[legend]

List of all members.

## Detailed Description

The IApplySchemaImp class is a concrete implementation of IApplySchema. The IApplySchema interface defines the ApplySchema command, which creates or updates a feature schema within the DataStore. Input to the ApplySchema command is the feature schema instance to be created or updated. Optionally, a provider-specific IPhysicalSchemaMapping interface can be specified that can be used to control how the feature schema elements are mapped into physical storage.

()

## Public Member Functions
System::Void | Execute ()
| Executes the ApplySchema command that creates metadata and physical storage for the schema. An exception is thrown if the schema already exists or if a schema already exists and the feature provider only supports a single schema. If schema changes include deletion of classes or the schema itself, then those classes (or the schema, if it is marked as deleted) must not contain any instance data. If they do, an exception will be thrown. Implementors must call FeatureSchema::AcceptChanges() when Execute() succeeds. It must be called after the schema has been successfully applied, in order to synchronize the states of the schema elements.
__property OSGeo::FDO::Schema::FeatureSchema * | get_FeatureSchema ()
| Gets the name of the schema to create.
__property System::Boolean | get_IgnoreStates ()
| Indicates whether Execute() will ignore element states when applying the feature schema.
__property OSGeo::FDO::Commands::Schema::PhysicalSchemaMapping * | get_PhysicalMapping ()
| Gets the PhysicalSchemaMapping used to specify how the schema definition gets mapped into physical storage.
__property System::Void | set_FeatureSchema (OSGeo::FDO::Schema::FeatureSchema *value)
| Sets the name of the schema to create.
__property System::Void | set_IgnoreStates (System::Boolean ignoreStates)
| Changes the handling of element states by Execute().
__property System::Void | set_PhysicalMapping (OSGeo::FDO::Commands::Schema::PhysicalSchemaMapping *value)
| Sets the PhysicalSchemaMapping used to specify how the schema definition gets mapped into physical storage.